> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-basics-of-scripting-and-playback/part-3-setup-the-playback-function-block.md).

# Part 3 - Setup The Playback Function Block

### 1. Open the Function Blocks Tab:

In the main menu select **Scripting and Automation** > **Function Blocks**.

### 2. Create a Playback Function Block:

Click on the **+** **button** and then select **Playback** from the dropdown that appears (Figure 1). Set the name of the function block by double clicking on the description cell. Name this function block **MS CAN Playback**.

![Figure 1: Create a Playback function block](https://content.gitbook.com/content/jb1RvXgxzxcqgZdVpbGb/blobs/iiNnZrQuDpWxc8Ump2Ur/spyfbexample2.3.1.gif)

### 3. Setup Playback Function Block:

Select the **Buffer** tab (Figure 3: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)), and make sure **Continuous** playback is enabled (Figure 3: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). Click the **Browse** button and find the **MS CAN Playback.csv** file downloaded from the intro page of this tutorial. Lastly, click on the **Start** tab (Figure 3: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)) and select **Manual Start** from the first dropdown.

![Figure 3: Playback setup](https://content.gitbook.com/content/jb1RvXgxzxcqgZdVpbGb/blobs/xok1WRg1FsFnnVan1SVw/spyfbexample2.3.2.gif)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-basics-of-scripting-and-playback/part-3-setup-the-playback-function-block.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
